# ApplicationFramework
TKCDF
LDOM

# LDOM_Element Class Reference

`#include <LDOM_Element.hxx>`

Inheritance diagram for LDOM_Element:

[legend]

## Public Member Functions

| LDOM_Element ()
| LDOM_Element (const LDOM_Element &anOther)
LDOM_Element & | operator= (const LDOM_Element &anOther)
Standard_EXPORT LDOM_Element & | operator= (const LDOM_NullPtr *aNull)
LDOMString | getTagName () const
Standard_EXPORT LDOMString | getAttribute (const LDOMString &aName) const
Standard_EXPORT LDOM_Attr | getAttributeNode (const LDOMString &aName) const
Standard_EXPORT LDOM_NodeList | getElementsByTagName (const LDOMString &aName) const
Standard_EXPORT void | setAttribute (const LDOMString &aName, const LDOMString &aValue)
Standard_EXPORT void | setAttributeNode (const LDOM_Attr &aNewAttr)
Standard_EXPORT void | removeAttribute (const LDOMString &aName)
Standard_EXPORT LDOM_Element | GetChildByTagName (const LDOMString &aTagName) const
Standard_EXPORT LDOM_Element | GetSiblingByTagName () const
Standard_EXPORT void | ReplaceElement (const LDOM_Element &anOther)
Standard_EXPORT LDOM_NodeList | GetAttributesList () const

## Protected Member Functions

| LDOM_Element (const LDOM_BasicElement &anElem, const Handle(LDOM_MemManager)&aDoc)

## Constructor & Destructor Documentation

LDOM_Element::LDOM_Element | ( |  | ) | `[inline]`

LDOM_Element::LDOM_Element | ( | const LDOM_Element & | anOther | ) | `[inline]`

LDOM_Element::LDOM_Element | ( | const LDOM_BasicElement & | anElem,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT LDOMString LDOM_Element::getAttribute | ( | const LDOMString & | aName | ) | const

Standard_EXPORT LDOM_Attr LDOM_Element::getAttributeNode | ( | const LDOMString & | aName | ) | const

Standard_EXPORT LDOM_NodeList LDOM_Element::GetAttributesList | ( |  | ) | const

Standard_EXPORT LDOM_Element LDOM_Element::GetChildByTagName | ( | const LDOMString & | aTagName | ) | const

Standard_EXPORT LDOM_NodeList LDOM_Element::getElementsByTagName | ( | const LDOMString & | aName | ) | const

Standard_EXPORT LDOM_Element LDOM_Element::GetSiblingByTagName | ( |  | ) | const

LDOMString LDOM_Element::getTagName | ( |  | ) | const`[inline]`

Standard_EXPORT LDOM_Element& LDOM_Element::operator= | ( | const LDOM_NullPtr * | aNull | ) | `[inline]`

| Reimplemented from LDOM_Node.

LDOM_Element& LDOM_Element::operator= | ( | const LDOM_Element & | anOther | ) | `[inline]`

Standard_EXPORT void LDOM_Element::removeAttribute | ( | const LDOMString & | aName | ) |

Standard_EXPORT void LDOM_Element::ReplaceElement | ( | const LDOM_Element & | anOther | ) |

Standard_EXPORT void LDOM_Element::setAttribute | ( | const LDOMString & | aName,
|  | const LDOMString & | aValue
| ) |

Standard_EXPORT void LDOM_Element::setAttributeNode | ( | const LDOM_Attr & | aNewAttr | ) |

The documentation for this class was generated from the following file:

- LDOM_Element.hxx